// PeeperView.h : interface of the CPeeperView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PEEPERVIEW_H__47A12E86_1216_4FAC_84E8_0ED6F5E485AD__INCLUDED_)
#define AFX_PEEPERVIEW_H__47A12E86_1216_4FAC_84E8_0ED6F5E485AD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afxcview.h>

#include "PeeperDoc.h"



class CPeeperView : public CTreeView
{
protected: // create from serialization only
	CPeeperView();
	DECLARE_DYNCREATE(CPeeperView)

// Attributes
public:
	CPeeperDoc* GetDocument();
	CString SearchString;
	HNode *LastFind;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPeeperView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPeeperView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CPeeperView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnItemexpanding(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnEditSearch();
	afx_msg void OnEditFindnext();
	afx_msg void OnUpdateEditFindnext(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in PeeperView.cpp
inline CPeeperDoc* CPeeperView::GetDocument()
   { return (CPeeperDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PEEPERVIEW_H__47A12E86_1216_4FAC_84E8_0ED6F5E485AD__INCLUDED_)
